Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 10050length <= 2048Value in
- "draft"
- "active"
- "paused"
- "ended"
- "archived"
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/leaderboards"{ "data": [ { "id": "string", "environment_id": "string", "kind": "leaderboard", "key": "string", "name": "string", "status": "draft", "active_version_id": "string", "authority": "legacy", "legacy_table": "string", "version": -9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "archived_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/leaderboards/string"{ "id": "string", "environment_id": "string", "kind": "leaderboard", "key": "string", "name": "string", "status": "draft", "active_version_id": "string", "authority": "legacy", "legacy_table": "string", "version": -9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "archived_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthQuery Parameters
1 <= value <= 10050length <= 2048Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/leaderboards/string/boards"{ "data": [ { "id": "string", "program_id": "string", "program_version_id": "string", "season_occurrence_id": "string", "status": "string", "source_revision": "string", "privacy_generation": "string", "current_revision_id": "string", "payout_generation": "string" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= length1 <= lengthQuery Parameters
1 <= value <= 10050length <= 2048"live"Value in
- "live"
- "frozen"
1 <= length <= 2550 <= value <= 49Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/leaderboards/string/boards/string/standings"{ "data": [ { "entry_id": "string", "pseudonym": "string", "ordinal": "string", "score": "string" } ], "own_rank": { "ordinal": "string", "score": "string" }, "revision_id": "string", "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= length1 <= lengthQuery Parameters
1 <= value <= 10050length <= 20481 <= length <= 255Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/leaderboards/string/boards/string/entries"{ "data": [ { "entry_id": "string", "board_id": "string", "customer_id": "string", "participation_id": "string", "state_revision": "string", "generation": "string", "score": "string", "standing": "current" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Required revision, checked in the owning transaction.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/leaderboards/string/contributions" \ -H "Idempotency-Key: string" \ -H "If-Match: string" \ -H "Content-Type: application/json" \ -d '{ "customer_id": "cust_example", "program_revision": 2, "operation_key": "operation-example", "event_id": "evt_example", "slot": "score", "value": "10" }'{ "id": "string", "program_id": "string", "program_version_id": "string", "customer_id": "string", "participation_id": "string", "board_id": "string", "entry_id": "string", "state_revision": 0, "source_revision": "string", "score": "string", "occurrence": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Required revision, checked in the owning transaction.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/leaderboards/string/corrections" \ -H "Idempotency-Key: string" \ -H "If-Match: string" \ -H "Content-Type: application/json" \ -d '{ "customer_id": "cust_example", "program_revision": 2, "operation_key": "operation-example", "contribution_id": "pc_example", "fraction": "1", "reason": "refund", "generation": "0" }'{ "id": "string", "program_id": "string", "program_version_id": "string", "customer_id": "string", "participation_id": "string", "board_id": "string", "entry_id": "string", "state_revision": 0, "source_revision": "string", "score": "string", "occurrence": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= length1 <= length <= 128Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/leaderboards/string/boards/string/correction_generations" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "expected_generation": "0" }'{ "board_id": "string", "payout_generation": "string", "revision_id": "string", "build_generation": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= length1 <= length <= 128Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/leaderboards/string/boards/string/standing_builds" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "expected_generation": "0" }'{ "board_id": "string", "payout_generation": "string", "revision_id": "string", "build_generation": "string"}